<?php
/**
*
* Contact admin extension for the phpBB Forum Software package.
*
* @copyright 2016 Rich McGirr (RMcGirr83)
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters for use
// ’ » “ ” …


$lang = array_merge($lang, [
	// General config options
	'ACP_CAT_CONTACTADMIN'	=> 'Contactar con Administración',
	'ACP_CONTACTADMIN_CONFIG'		=> 'Configuración',
	'FORUM_EMAIL_INACTIVE'	=> '¿Cómo quiere que los usuarios puedan contactar?<br><span style="color:red;">No se permiten correos electrónicos por configuración del foro.</span>',
	'NO_FORUM_ATTACHMENTS'		=> 'Si se establecen archivos adjuntos, se permitirá la publicación en el foro y los mensajes privados. Las extensiones permitidas son las mismas que la configuración del foro.<br><span style="color:red;">¡No se permiten archivos adjuntos por la configuración del foro!</span>',
	// Log entries
	'LOG_CONFIG_CONTACT_ADMIN'		=> '<strong>Ajustes alterados de la extensión Contactar con Administración</strong>',
	'LOG_CONTACT_BOT_INVALID'		=> '<strong>El Robot de la extensión Contactar con Administración, tiene un ID de usuario seleccionado inválido:</strong><br />ID del usuario %1$s',
	'LOG_CONTACT_FORUM_INVALID'		=> '<strong>El foro de la extensión Contactar con Administración, tiene un foro seleccionado inválido:</strong><br />ID del foro %1$s',
	'LOG_CONTACT_EMAIL_INVALID'		=> '<strong>La extensión Contactar con Administración, está permitiendo correos electrónicos, pero el foro no está configurado para permitir mensajes de correo electrónico. La extensión ha sido deshabilitada.',
	'LOG_CONTACT_NONE'				=> '<strong>Ningún Administrador permite que los usuarios se pongan en contacto con ellos mediante %1$s en la extensión Contactar con Administración</strong>',
	'LOG_CONTACT_CONFIG_UPDATE'		=> '<strong>Ajustes actualizados de Contactar con Administración</strong>',
	//Donation
	'PAYPAL_IMAGE_URL'          => 'https://www.paypalobjects.com/webstatic/en_US/i/btn/png/silver-pill-paypal-26px.png',
	'PAYPAL_ALT'                => 'Donar usando PayPal',
	'BUY_ME_A_BEER_URL'         => 'https://paypal.me/RMcGirr83',
	'BUY_ME_A_BEER'				=> 'Cómprame una cerveza por crear esta extensión',
	'BUY_ME_A_BEER_SHORT'		=> 'Haga una donación para esta extensión',
	'BUY_ME_A_BEER_EXPLAIN'		=> 'Esta extensión es completamente gratuita. Es un proyecto en el que dedico mi tiempo para el disfrute y uso de la comunidad phpBB. Si le gusta usar esta extensión, o si ha beneficiado a su foro, considere <a href="https://paypal.me/RMcGirr83" target="_blank" rel=”noreferrer noopener”>comprarme una cerveza</a>. Estaría muy agradecido. <i class="fa fa-smile-o" style="color:green;font-size:1.5em;" aria-hidden="true"></i>',
]);
