<?php
/**
*
* Contact Admin extension for the phpBB Forum Software package.
*
* @copyright 2016 Rich McGirr (RMcGirr83)
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/
/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, [
	'ADMINS_NOT_EXIST_FOR_METHOD'	=> [
		0 => 'No hay Administradores que permitan correos electrónicos. Debe elegir un método de contacto diferente.',
		2 => 'No hay Administradores que permitan mensajes privados. Debe elegir un método de contacto diferente.',
	],
	'CONTACT_CONFIG_SAVED'			=> 'La configuración de Administración de Contactar con el Foro ha sido actualizada',
	'CONTACT_ACP_CONFIRM'				=> 'Habilitar confirmación visual',
	'CONTACT_ACP_CONFIRM_EXPLAIN'		=> 'Si habilita está opción, los usuarios tendrán que introducir una confirmación visual para enviar el mensaje.<br>Esto es para evitar mensajes de Spam. Tenga en cuenta que esta opción es sólo para la página de contacto. No afecta a otros ajustes de la confirmación visual.',
	'CONTACT_ATTACHMENTS'				=> 'Permitir archivos adjuntos',
	'CONTACT_ATTACHMENTS_EXPLAIN'		=> 'Si se permite archivos adjuntos al publicar en el foro y mensajes privados.<br>Las extensiones permitidas son la mismas que la configuración del foro.<br><span style="color:red;">Esto no aplica para el método de contacto a través de “EMail”.</span>',
	'CONTACT_CONFIRM_GUESTS'			=> 'Confirmación visual sólo para invitados',
	'CONTACT_CONFIRM_GUESTS_EXPLAIN'	=> 'Si la opción está habilitada, la confirmación visual sólo se mostrará a los invitados (si está habilitada dicha opción).',
	'CONTACT_WHO'						=> 'A quién contactar',
	'CONTACT_WHO_EXPLAIN'				=> '¿A quién se debe contactar por correo electrónico o mensaje privado?',
	'CONTACT_MAX_ATTEMPTS'				=> 'Número máximo de intentos de confirmación',
	'CONTACT_MAX_ATTEMPTS_EXPLAIN'		=> '¿Cuántas veces puede un usuario intentar introducir la imagen de confirmación correcta?<br>Introduzca 0 para intentos ilimitados.',
	'CONTACT_METHOD'					=> 'Metodo de contacto',
	'CONTACT_METHOD_EXPLAIN'			=> '¿Cómo desea que los usuarios puedan contactar?',
	'CONTACT_POST_OPTIONS'				=> 'Opciones de contacto por correo o mensaje privado',
	'CONTACT_REASONS'					=> 'Razones de contacto',
	'CONTACT_REASONS_EXPLAIN'			=> 'Introduzca las razones para contactar, separadas por líneas.<br>Si no desea utilizar esta función, deje este campo vacío.',
	// Bot config options
	'CONTACT_BOT_FORUM'				=> 'Foro de contacto de Robot',
	'CONTACT_BOT_FORUM_EXPLAIN'		=> 'Seleccione el foro donde el robot de contacto debe publicar, si el método de contacto se establece en “Mensaje en foro”.',
	'CONTACT_BOT_POSTER'			=> 'Robot como el autor',
	'CONTACT_BOT_POSTER_EXPLAIN'	=> 'Si se establece, los MPs y mensajes parecerán venir del usuario robot de contacto elegido anteriormente basado en la configuración aquí. Si se selecciona “Ninguno” entonces el robot no se utiliza como autor. Mensajes y MPs se publicarán en base a la información introducida en el formulario de contacto.',
	'CONTACT_BOT_USER'				=> 'Usuario robot de contacto',
	'CONTACT_BOT_USER_EXPLAIN'		=> 'Seleccione el usuario que publicará los mensajes bajo el método de contacto, si se establece en “Mensaje privado” o “Mensaje en foro”.',
	'CONTACT_NO_BOT_USER'			=> '<b>El ID de contacto de usuario Bot elegido no existe</b>',
	'CONTACT_BOT_IS_BOT'			=> '<strong>El bot de contacto elegido se designa como bot del foro. ¿Estás seguro de que quieres que este usuario sea el bot?</strong>',
	'CONTACT_USERNAME_CHK'			=> 'Comprobar el nombre de usuario',
	'CONTACT_USERNAME_CHK_EXPLAIN'	=> 'Si se establece en Si, el nombre de usuario introducido se cotejará con los que están en la base de datos. Si se encuentra un nombre parecido al usuario, será mostrado con un error y se preguntará la introducción de un nombre de usuario diferente.',
	'CONTACT_EMAIL_CHK'				=> 'Comprobar el correo electrónico',
	'CONTACT_EMAIL_CHK_EXPLAIN'		=> 'Si se establece en Si, el correo electrónico de los usuarios se comparará con los de la base de datos. Si se encuentra un correo electrónico parecido al usuario, será mostrado con un error y se preguntará la introducción de una dirección de correo electrónico diferente.',

	// Contact methods
	'CONTACT_METHOD_EMAIL'			=> 'Email',
	'CONTACT_METHOD_PM'				=> 'Mensaje privado',
	'CONTACT_METHOD_POST'			=> 'Mensaje en foro',

	// Contact methods
	'CONTACT_WHO_ALL_ADMINS'		=> 'Todos los Administradores',
	'CONTACT_WHO_BOARD_FOUNDER'		=> 'Fundador del foro',
	'CONTACT_WHO_BOARD_DEFAULT'	=> 'Email por defecto del foro',

	// Contact posters...user bot
	'CONTACT_POST_NEITHER'			=> 'Ninguno',
	'CONTACT_POST_GUEST'			=> 'Invitados sólo',
	'CONTACT_POST_ALL'				=> 'Todo el mundo',

	// Overwrite the default contact page lang
	'CONTACT_EXTENSION_ACTIVE'	=> '<span style="color:red;">La configuración aquí no importará, ya que actualmente tiene habilitada la extensión de “Contact Admin”. No podrá configurar esto como habilitado sin primero deshabilitar la extensión.</span>',
	'CONTACT_GDPR'	=> 'GDPR',
	'CONTACT_GDPR_EXPLAIN' => 'Si se establece en si, se le mostrará al usuario una casilla de verificación para reconocer la política de privacidad del foro. Se debe marcar la casilla para enviar el formulario de contacto.',
	'EMAIL_NOT_CONFIGURED' => 'El correo electrónico no está configurado para el foro, haga una selección diferente para el método de contacto.',
]);
